Skip to main content
`Ctrl`+`K`

# PCFailedReason

indicates the type of `PC` failure. That is why the construction of the preconditioner, `PCSetUp()`, or its use, `PCApply()`, failed

## Synopsis

    typedef enum {
      PC_SETUP_ERROR              = -1,
      PC_NOERROR                  = 0,
      PC_FACTOR_STRUCT_ZEROPIVOT  = 1,
      PC_FACTOR_NUMERIC_ZEROPIVOT = 2,
      PC_FACTOR_OUTMEMORY         = 3,
      PC_FACTOR_OTHER             = 4,
      PC_INCONSISTENT_RHS         = 5,
      PC_SUBPC_ERROR              = 6
    } PCFailedReason;

## See Also

Preconditioners, `PC`, `PCGetFailedReason()`, `PCSetUp()`

## Level

beginner

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages